Bug 174999 - multimedia/deforaos-player patch for respecting PREFIX
Summary: multimedia/deforaos-player patch for respecting PREFIX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-05 09:00 UTC by olivier
Modified: 2013-02-10 09:20 UTC (History)
0 users

See Also:


Attachments
deforaos-player.0.1.4_1.diff (614 bytes, patch)
2013-01-05 09:37 UTC, olivier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2013-01-05 09:00:00 UTC
	Here is a simple patch that add PREFIX support to this port.
Comment 1 olivier 2013-01-05 09:37:00 UTC
Here is the patch.
Comment 2 Philippe Audeoud freebsd_committer 2013-01-30 15:43:08 UTC
State Changed
From-To: open->feedback

Please, use portlint -a before submitting.
Comment 3 Martin Wilke freebsd_committer 2013-02-10 09:10:14 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-02-10 09:10:27 UTC
Author: miwi
Date: Sun Feb 10 09:10:15 2013
New Revision: 312016
URL: http://svnweb.freebsd.org/changeset/ports/312016

Log:
  - Respect PREFIX
  - pet portlint
  
  PR:		174999

Modified:
  head/multimedia/deforaos-player/Makefile

Modified: head/multimedia/deforaos-player/Makefile
==============================================================================
--- head/multimedia/deforaos-player/Makefile	Sun Feb 10 09:08:47 2013	(r312015)
+++ head/multimedia/deforaos-player/Makefile	Sun Feb 10 09:10:15 2013	(r312016)
@@ -5,8 +5,8 @@ PORTNAME=	player
 PORTVERSION=	0.1.4
 CATEGORIES=	multimedia
 MASTER_SITES=	http://www.defora.org/os/download/download/3708/
-DISTNAME=	Player-${PORTVERSION}
 PKGNAMEPREFIX=	deforaos-
+DISTNAME=	Player-${PORTVERSION}
 
 MAINTAINER=	olivier@cochard.me
 COMMENT=	DeforaOS desktop media player
@@ -17,6 +17,7 @@ LIB_DEPENDS=	System:${PORTSDIR}/devel/de
 		Desktop:${PORTSDIR}/x11/deforaos-libdesktop
 RUN_DEPENDS=	mplayer:${PORTSDIR}/multimedia/mplayer
 
+MAKE_ARGS+=	PREFIX=${PREFIX}
 USE_GNOME=	gtk20 desktopfileutils
 USE_PKGCONFIG=	build
 USE_GETTEXT=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"